<?php

require_once("../config/conexion.php");
require_once("../models/AsignarLibro.php");
require_once("../models/Permisos.php");
$asignarLibro = new AsignarLibro();

switch ($_GET["op"]) {
    case "listar":
        $datos = $asignarLibro->Consultar();
        $data = Array();
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["carrera"];
            $sub_array[] = $row["modalidad"];
            $sub_array[] = $row["asignatura"];
            $sub_array[] = $row["libros"];
            $sub_array[] = $row["docente"];
            $accesos = $accesos . '
            <button type="button" onClick="asignar(' . $row["asignarlibrodbk"] . ');" id="' . $row["asignarlibrodbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "listarRecurso":
        $datos = $asignarLibro->ConsultarRecursos($_GET["carrera"], $_GET["asignatura"]);
        $data = Array();
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["autor"];
            $sub_array[] = $row["anio"];
            $sub_array[] = $row["clase"];
            $sub_array[] = $row["docente"];
            $accesos = $accesos . '
            <input type="hidden" name="url' . $row["librodbk"] . '" id="url' . $row["librodbk"] . '" value="' . $row["URL"] . '" />                
            <button type="button" onClick="ver(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-eye"></i></div></button>            
            <button type="button" onClick="eliminar(' . $row["asignarlibrodbk"] . ');" id="' . $row["asignarlibrodbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>
            ';
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "eliminar":
        $datos = $asignarLibro->Eliminar_por_ID($_POST["asignarlibrodbk"]);
        break;
    case "guardar":
        $datos = array("tabla" => "asignarlibro",
            "carreradbk" => $_POST["carreradbk"],
            "asignaturadbk" => $_POST["asignaturadbk"],
            "librodbk" => $_POST["recurso"]
        );
        $asignarLibro->mdlGuardarAsignarRecurso($datos);
        break;
    case "asignarLibros":
        $datos = $asignarLibro->listar($_GET["mallacurriculardbk"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("BIBLIOTECA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $asignar = $row["asignar"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["asignarlibrodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["clase"];
            $sub_array[] = $row["docente"];
            if ($row["estado"] != "INACTIVO") {
                $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarCarrera" idCarrera="' . $row["asignarlibrodbk"] . '" estadoCarrera="INACTIVO">Activo</button></td>';
            } else {
                $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarCarrera" idCarrera="' . $row["asignarlibrodbk"] . '" estadoCarrera="ACTIVO">Inactivo</button></td>';
            }
            $accesos = $accesos . '
            <input type="hidden" name="url' . $row["librodbk"] . '" id="url' . $row["librodbk"] . '" value="' . $row["URL"] . '" />                
            <button type="button" onClick="ver(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-eye"></i></div></button>            
            ';
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "consultarLibros":
        $datos = $asignarLibro->listarLibros($_GET["detalledbk"]);
        $data = Array();
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["asignarlibrodbk"];
            $sub_array[] = $row["nombre"];
            $sub_array[] = $row["clase"];            
            $accesos = $accesos . '
            <input type="hidden" name="url' . $row["librodbk"] . '" id="url' . $row["librodbk"] . '" value="' . $row["URL"] . '" />
            <input type="hidden" name="librodbk' . $row["librodbk"] . '" id="librodbk' . $row["librodbk"] . '" value="' . $row["librodbk"] . '" />
            <button type="button" onClick="ver(' . $row["librodbk"] . ');" id="' . $row["librodbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-eye"></i></div></button>            
            ';
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarCarrera"])) {
            $datos = array("tabla" => "asignarlibro",
                "asignarlibrodbk" => $_POST["activarId"],
                "estado" => $_POST["activarCarrera"]
            );
            $asignarLibro->mdlActualizarEstado($datos);
        }
        break;
}
?>
